%define orig_name       phpwiki
%define extra           %{nil}
# FIXME: What about files that shouldn't be readable?
# FIXME: This includes removing .htaccess
# FIXME: And setting up as a proper webapp
%define serverroot      %{_var}/www/html/%{name}

Name:           %{orig_name}1.3
Version:        1.3.14
Release:        %mkrel 1
Epoch:          0
Summary:        Wikiwiki management system written in PHP
Group:          System/Servers
License:        GPL
URL:            http://phpwiki.sourceforge.net/
Source0:        http://download.sourceforge.net/sourceforge/phpwiki/%{orig_name}-%{version}%{extra}.tar.bz2
Patch0:         phpwiki-1.3.11-use_system_nusoap.patch
Requires:       apache
Requires:       mod_php
Requires:       nusoap
BuildArch:      noarch
# FIXME: Why?
AutoReq:        no
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
PhpWiki is a WikiWikiWeb clone written in PHP. A Wiki is a Web site where
anyone can edit or create the pages through the Web browser, with no
authentication. PhpWiki works right out of the box with zero configuration, and
comes with a set of default pages. It's useful for collaborating on
documentation on a project, having freeform discussions, and easy editing and
searching.

%package themes
Summary:        Additional themes for %orig_name
Group:          System/Servers
Requires:       %{name} = %{epoch}:%{version}-%{release}
AutoReq:        no

%description themes
Additional themes for %orig_name.

%prep
%setup -q -n %{orig_name}-%{version}%{extra}
%patch0 -p0 -b .use_system_nusoap
%{__rm} -r lib/nusoap
%{_bindir}/find . -name .cvsignore | %{_bindir}/xargs -t %{__rm}
%{__chmod} -Rf a+rX,u+w,g-w,o-w .

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{serverroot}
%{__chmod} 755 tests/*.pl tests/xmlrpc/curl-test lib/updateinterwikimap tests/unit/prepare_pl
%{__cp} -a *.php *.ico *.wsdl wiki config lib locale pgsrc schemas themes uploads %{buildroot}%{serverroot}
%{__rm} -f %{buildroot}%{serverroot}/themes/README
%{__mv} themes/README themes/README.themes

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,apache,apache,0755)
%doc INSTALL LICENSE README UPGRADING doc/* tests themes/README.themes
%defattr(-,apache,apache,0755)
%config(noreplace) %{serverroot}/index.php
%exclude %{serverroot}/index.php
%{serverroot}/*.php
%{serverroot}/*.ico
%{serverroot}/*.wsdl
%dir %{serverroot}/config
%dir %{serverroot}/config/*
%dir %{serverroot}/lib
%{serverroot}/lib/*
%dir %{serverroot}/pgsrc
%{serverroot}/pgsrc/*
%dir %{serverroot}/schemas
%{serverroot}/schemas/*
%dir %{serverroot}/locale
%{serverroot}/locale/*
%dir %{serverroot}/themes
%dir %{serverroot}/themes/default
%dir %{serverroot}/uploads
%{serverroot}/config/.htaccess
%{serverroot}/themes/default/*
%{serverroot}/lib/.htaccess
%{serverroot}/locale/.htaccess
%{serverroot}/locale/.exclude
%{serverroot}/pgsrc/.htaccess
%{serverroot}/schemas/.htaccess
%{serverroot}/uploads/.htaccess
%{serverroot}/uploads/highlight-emacs.css
%{serverroot}/uploads/index.php
%{serverroot}/wiki

%files themes
%defattr(-,apache,apache,0755)
%dir %{serverroot}/themes/Hawaiian
%{serverroot}/themes/Hawaiian/*
%dir %{serverroot}/themes/MacOSX
%{serverroot}/themes/MacOSX/*
%dir  %{serverroot}/themes/Portland
%{serverroot}/themes/Portland/*
%dir %{serverroot}/themes/Sidebar
%{serverroot}/themes/Sidebar/*
%dir %{serverroot}/themes/SpaceWiki
%{serverroot}/themes/SpaceWiki/*
%dir %{serverroot}/themes/Wordpress
%{serverroot}/themes/Wordpress/*
%dir %{serverroot}/themes/smaller
%{serverroot}/themes/smaller/*
%dir %{serverroot}/themes/wikilens
%{serverroot}/themes/wikilens/*
%dir %{serverroot}/themes/Crao
%{serverroot}/themes/Crao/*
%dir %{serverroot}/themes/MonoBook
%{serverroot}/themes/MonoBook/*
%{serverroot}/themes/alphatest.php
%dir %{serverroot}/themes/blog
%{serverroot}/themes/blog/*
%dir %{serverroot}/themes/shamino_com
%{serverroot}/themes/shamino_com/*


%changelog
* Fri Aug 03 2007 David Walluck <walluck@mandriva.org> 1.3.14-1mdv2008.0
+ Revision: 58724
- 1.3.14
- Import phpwiki1.3



* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 0:1.3.12-2mdv2007.0
- 1.3.12p3

* Wed Mar 29 2006 David Walluck <walluck@mandriva.org> 0:1.3.12-1mdk
- 1.3.12p2

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:1.3.11-4mdk
- AutoReq: no

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:1.3.11-3mdk
- use system nusoap (Oden Eriksson)

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:1.3.11-2mdk
- 1.3.11p1

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:1.3.11-1mdk
- 1.3.11

* Thu Jun 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.10-1mdk
- 1.3.10

* Wed Apr 28 2004 David Walluck <walluck@mandrake.org> 0:1.3.9-1mdk
- 1.3.9

* Tue Mar 2 2004 David Walluck <walluck@mandrake.org> 0:1.3.7-1mdk
- release
